package com.MapLimits.TJ09;

import java.io.File;
import java.util.HashMap;

import org.bukkit.Server;
import org.bukkit.World;
import org.bukkit.event.Event.Priority;
import org.bukkit.event.Event;
import org.bukkit.plugin.PluginDescriptionFile;
import org.bukkit.plugin.PluginLoader;
import org.bukkit.plugin.java.JavaPlugin;
import org.bukkit.plugin.PluginManager;
import org.bukkit.util.config.Configuration;

/**
 * MapLimits for Bukkit
 *
 * @author TJ09
 */
public class MapLimits extends JavaPlugin {
	private final MapLimitsPlayerListener playerListener = new MapLimitsPlayerListener(this);

	public HashMap<World,Integer> xmin=new HashMap<World,Integer>();
	public HashMap<World,Integer> xmax=new HashMap<World,Integer>();
	public HashMap<World,Integer> zmin=new HashMap<World,Integer>();
	public HashMap<World,Integer> zmax=new HashMap<World,Integer>();

	public void onEnable() {
		// Make the data folder for the plugin where configuration files
        // and other data files will be stored
        getDataFolder().mkdirs();
		
		// Register our events
		PluginManager pm = getServer().getPluginManager();
		
		pm.registerEvent(Event.Type.PLAYER_MOVE, playerListener, Priority.Highest, this);
		
		PluginDescriptionFile pdfFile = this.getDescription();
		System.out.println( pdfFile.getName() + " version " + pdfFile.getVersion() + " enabled" );
	}
	public void onDisable() {
		// NOTE: All registered events are automatically unregistered when a plugin is disabled
		System.out.println("Unloading "+this.getDescription().getName());
	}
	
	public void loadConfiguration(World w) {
		Configuration config = new Configuration(new File(getDataFolder(),w.getName()+".yml"));
		config.load();
		
		System.out.println("Loading limits for "+w.getName());
		
		xmin.put(w,config.getInt("xmin",-4000));
		xmax.put(w,config.getInt("xmax", 4000));
		zmin.put(w,config.getInt("zmin",-4000));
		zmax.put(w,config.getInt("zmax", 4000));
	}
}

